ENT.Type = "anim"
ENT.Base = "protect_base"
ENT.PrintName = "Bewegungsmelder"
ENT.Category = "Sicherheit"
ENT.Spawnable = true
ENT.AdminSpawnable = false

ENT.RenderGroup = RENDERGROUP_BOTH

function ENT:TraceBeam()
	local pos = self:LocalToWorld(Vector(-4.25, 0, 8.25))
	local dir = self:GetForward() * -self.BeamLength
	return util.QuickTrace(pos, dir)
end